d_move
Prev | The Directory Cache | Next

## Name

d_move — move a dentry

## Synopsis

`void d_move (` | struct dentry * | dentry,
| struct dentry * | target`)`;

## Arguments

`dentry`

  entry to move

`target`

  new dentry

## Description

Update the dcache to reflect the move of a file name. Negative dcache entries should not be moved in this way.

Prev | Up | Next
d_rehash | Home | d_materialise_unique